geronimo-xbean-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Achim Nierbeck (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (XBEAN-230) Update to ASM 4
Date Tue, 22 Jan 2013 07:54:12 GMT

    [ https://issues.apache.org/jira/browse/XBEAN-230?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13559465#comment-13559465
] 

Achim Nierbeck commented on XBEAN-230:
--------------------------------------

I created a workaround for this issue. At [Pax-Web|https://github.com/ops4j/org.ops4j.pax.web/tree/master/pax-web-features/xbean-fragment]
I added a xbean-fragment fragment module that overrides the Import-Package of the host bundle.
This helps for the [3.1, 4.0) issue but it's not really a nice solution :). 
                
> Update to ASM 4
> ---------------
>
>                 Key: XBEAN-230
>                 URL: https://issues.apache.org/jira/browse/XBEAN-230
>             Project: XBean
>          Issue Type: Improvement
>          Components: asm
>    Affects Versions: 3.12
>            Reporter: Mikolaj Izdebski
>
> Current upstream version of ASM is 4.1, XBean 3.12 uses ASM 3.2.
> ASM 4 fixes many bugs and adds many features (including full Java 7 support). It would
be beneficial for XBean to use ASM 4.
> Unfortunately ASM 3 and ASM 4 APIs are incompatible and XBean would need some work to
migrate to ASM 4. (ASM upstream promises no more incompatible changes.)

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message